// [Licence]
// The Ariba-Underlay Copyright
//
// Copyright (c) 2008-2009, Institute of Telematics, Universität Karlsruhe (TH)
//
// Institute of Telematics
// Universität Karlsruhe (TH)
// Zirkel 2, 76128 Karlsruhe
// Germany
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are
// met:
//
// 1. Redistributions of source code must retain the above copyright
// notice, this list of conditions and the following disclaimer.
// 2. Redistributions in binary form must reproduce the above copyright
// notice, this list of conditions and the following disclaimer in the
// documentation and/or other materials provided with the distribution.
//
// THIS SOFTWARE IS PROVIDED BY THE INSTITUTE OF TELEMATICS ``AS IS'' AND
// ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
// PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE ARIBA PROJECT OR
// CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
// EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
// PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
// PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
// LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
// NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
// SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//
// The views and conclusions contained in the software and documentation
// are those of the authors and should not be interpreted as representing
// official policies, either expressed or implied, of the Institute of
// Telematics.
// [Licence]

#include "ServiceInterface.h"

namespace ariba {
namespace interface {

ServiceInterface::ServiceInterface() {
}

ServiceInterface::~ServiceInterface(){
}

bool ServiceInterface::isJoinAllowed( const NodeID& nodeid, const SpoVNetID& spovnetid ){
	// default: allow all nodes to join
	return true;
}

void ServiceInterface::onNodeJoin( const NodeID& nodeid, const SpoVNetID& spovnetid ){
}

void ServiceInterface::onNodeLeave( const NodeID& id, const SpoVNetID& spovnetid ){
}

void ServiceInterface::onJoinSuccess( const SpoVNetID& spovnetid ){
}

void ServiceInterface::onJoinFail( const SpoVNetID& spovnetid ){
}

void ServiceInterface::onLeaveSuccess( const SpoVNetID& spovnetid ){
}

void ServiceInterface::onLeaveFail( const SpoVNetID& spovnetid ){
}
	
void ServiceInterface::onLinkUp( const LinkID& link, const NodeID& local, const NodeID& remote ){
}

void ServiceInterface::onLinkDown( const LinkID& link, const NodeID& local, const NodeID& remote ){
}

void ServiceInterface::onLinkChanged( const LinkID& link, const NodeID& local, const NodeID& remote ){
}

void ServiceInterface::onLinkFail(const LinkID& id, const NodeID& local, const NodeID& remote){
}

void ServiceInterface::onLinkQoSChanged(const LinkID& id, const NodeID& local, const NodeID& remote , const QoSParameterSet& qos){
}

bool ServiceInterface::receiveMessage( const Message* message, const LinkID& link, const NodeID& node ){
	return true;
}

}} // namespace ariba, interface
